'####################################################################################################################
'*******************ArcGIS_SLD_Converter / Rel. 1.2.0****************************************************************
'*******************Class: Store2Fields******************************************************************************
'*******************AUTHOR: Albrecht Weiser, University of applied Sciences in Mainz, Germany 2005*******************
'The Application was part of my Diploma thesis:**********************************************************************
'"Transforming map-properties of maps in esri-data to an OGC-conformous SLD-document, for publishing the ArcGIS-map * 
'with an OGC- conformous map-server"*********************************************************************************
'ABSTRACT:
'The program so called "ArcGIS-map to SLD Converter" analyses an
'ArcMap-Project with respect to its symbolisation and assembles an SLD
'for the OGC-Web Map Service (WMS) from the gathered data. The program
'is started parallel to a running ArcMap 9.X-session. Subsequently the
'application deposits an SLD-file which complies the symbolisation of
'the available ArcMap-project. With the SLD a WMS-project may be
'classified and styled according to the preceding ArcMap-project. The
'application is written in VisualBasic.NET and uses the .NET 1.1
'Framework (plus XML files for configuration). For more informtion
'refer to: 
'http://arcmap2sld.geoinform.fh-mainz.de/ArcMap2SLDConverter_Eng.htm.
'LICENSE:
'This program is free software under the license of the GNU Lesser General Public License (LGPL) As published by the Free Software Foundation. 
'With the use and further development of this code you accept the terms of LGPL. For questions of the License refer to:
'http://www.gnu.org/licenses/lgpl.html
'DISCLAIMER:
'THE USE OF THE SOFTWARE ArcGIS-map to SLD Converter HAPPENS AT OWN RISK.
'I CANNOT ISSUE A GUARANTEE FOR ANY DISADVANTAGES (INCLUDING LOSS OF DATA; ETC.) THAT
'MAY ARISE FROM USING THIS SOFTWARE.
'DESCRIPTION:The class Store2Fields is simply a data container that is only needed in the case if a layer is classified 
'by data that is joined to the main table
'CHANGES:
'####################################################################################################################


Public Class Store2Fields
    Private al1, al2 As ArrayList

    Public Sub New()
        al1 = New ArrayList
        al2 = New ArrayList
    End Sub

    Public Sub Add2Strings(ByVal String1 As String, ByVal String2 As String)
        al1.Add(String1)
        al2.Add(String2)
    End Sub

    Public ReadOnly Property GetString1ByIndex(ByVal Index As Integer) As String
        Get
            If Not al1.Count < Index Then
                Return al1(Index).ToString
            Else
                Return "false"
            End If
        End Get
    End Property

    Public ReadOnly Property GetString2ByIndex(ByVal Index As Integer) As String
        Get
            If Not al2.Count < Index Then
                Return al2(Index).ToString
            Else
                Return "false"
            End If
        End Get
    End Property

    Public ReadOnly Property GetString1ForString2(ByVal String2 As String) As String
        Get
            Dim i As Int16
            For i = 0 To al2.Count - 1
                If al2(i).ToString = String2 Then
                    Return al1(i).ToString
                End If
            Next
        End Get
    End Property

    Public ReadOnly Property GetString2ForString1(ByVal String1 As String) As String
        Get
            Dim i As Int16
            For i = 0 To al1.Count - 1
                If al1(i).ToString = String1 Then
                    Return al2(i).ToString
                End If
            Next
        End Get
    End Property

    Public ReadOnly Property GetStringlist1() As ArrayList
        Get
            Return al1
        End Get
    End Property

    Public ReadOnly Property GetStringlist2() As ArrayList
        Get
            Return al2
        End Get
    End Property

    Public ReadOnly Property Count() As Integer
        Get
            Return al1.Count
        End Get
    End Property

    Public ReadOnly Property ContainsString1(ByVal String1 As String) As Boolean
        Get
            Dim bSwitch As Boolean
            bSwitch = False
            Dim i As Int16
            For i = 0 To al1.Count - 1
                If String1 = al1(i) Then
                    bSwitch = True
                    Return True
                End If
            Next
            If bSwitch = False Then
                Return False
            End If
        End Get
    End Property

    Public ReadOnly Property ContainsString2(ByVal String2 As String) As Boolean
        Get
            Dim bSwitch As Boolean
            bSwitch = False
            Dim i As Int16
            For i = 0 To al1.Count - 1
                If String2 = al2(i) Then
                    bSwitch = True
                    Return True
                End If
            Next
            If bSwitch = False Then
                Return False
            End If
        End Get
    End Property

End Class
